<!-- SPDX-License-Identifier: Apache-2.0 -->
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<title>MediaWiki SVN CodeReview archive</title>
</head>
<body>
<h1>MediaWiki SVN CodeReview archive</h1>
<p>
This is the static, read-only HTML version of MediaWiki's SVN CodeReview system.
</p>
<p>
CodeReview was replaced by <a href="https://gerrit.wikimedia.org/">Wikimedia Gerrit</a> in January 2013.
</p>
<p>
You can find comments on revisions commited during the SVN era here for the MediaWiki and pywikipedia repositories.

Example links:
</p>
<ul>
<li><a href="MediaWiki/1.html">MediaWiki/1.html (first commit)</a></li>
<li><a href="MediaWiki/115794.html">MediaWiki/115794.html (last commit)</a></li>
<li><a href="pywikipedia/1.html">pywikipedia/1.html (first commit)</a></li>
<li><a href="pywikipedia/11781.html">pywikipedia/11781.html (last commit)</a></li>
</ul>

<p>Replace '1' with the SVN revision. See <a href="https://www.mediawiki.org/wiki/Gerrit/Advanced_usage#Code_Review_links">Gerrit/Advanced usage § Code Review links</a> for a way to find these links via the Git history.</p>

<p><a href="https://dumps.wikimedia.org/other/codereview/20200428/">SQL dumps</a> from the CodeReview extension are available for download.</p>
<p><a href="https://dumps.wikimedia.org/other/misc/">SVN dumps</a> of these projects can be found in the appropriate <code>svn-*.gz</code> files.</p>

<p>SVN Browser on Phabricator:</p>
<ul>
<li><a href="https://phabricator.wikimedia.org/diffusion/SVN/">MediaWiki</a></li>
<li><a href="https://phabricator.wikimedia.org/diffusion/SVNP/">pywikipedia</a></li>
</ul>
</body>
</html>

